AssignSecurityGroupVpc
1. API Description
This API (AssignSecurityGroupVpc) is used to change the security group bound to a VPC.
2. Input Parameters
The following request parameter list only provides API request parameters.
securityGroupId
Yes
String
ID of the target security group to change to.
It can be obtained by calling DescribeSecurityGroups.
3. Output Parameters
requestId
String
The unique request ID, which is returned for each request.
RequestId is required for locating a problem.
4. Code Example
Associate a VPC to a security group.
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: AssignSecurityGroupVpc
<Common Request Params>
Request:
{
"vpcId": "your-vpc-id",
"securityGroupId": "your-security-group-id"
}
Response:
{
"requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
"response": {
"requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3"
}
}5. Developer Resources
Zenlayer Cloud API 2.0 integrates SDKs,to make it easier for you to call APIs. More programming languages will be supported.
6. Error Codes
The following only lists the error codes related to the API business logic. For other error codes, see Common Error Codes.
404
INVALID_SECURITY_GROUP_NOT_FOUND
The specified security group does not exist.
Last updated